com.h3c.dist.groups

## Class GroupsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.h3c.dist.groups.GroupsException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    GroupsException.DistributedServicesException, GroupsException.GroupChangedException, GroupsException.GroupConfigMismatchException, GroupsException.GroupExistsException, GroupsException.GroupNotFoundException, GroupsException.MemberExistsException, GroupsException.MemberNotFoundException

      public class GroupsException
      extends Exception

  Groups component specific exception definitions
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroupsException.Code` codes which represent the various SyncServiceException types.
    `static class` | `GroupsException.DistributedServicesException`
    `static class` | `GroupsException.GroupChangedException`
    `static class` | `GroupsException.GroupConfigMismatchException`
    `static class` | `GroupsException.GroupExistsException`
    `static class` | `GroupsException.GroupNotFoundException`
    `static class` | `GroupsException.MemberExistsException`
    `static class` | `GroupsException.MemberNotFoundException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupsException(GroupsException.Code code)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GroupsException.Code` | `code()` Read the error code for this exception
    `static GroupsException` | `create(GroupsException.Code code)` All Groups services exceptions should be constructed via this factory method.
    `static GroupsException` | `create(GroupsException.Code code, String group, String instance)` All Groups services exceptions should be constructed via this factory method.
    `String` | `getGroupName()` Read the group name for this exception
    `String` | `getInstanceId()` Read the instance id for this exception
    `String` | `getMessage()` Get Error string for the exception

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupsException

          public GroupsException(GroupsException.Code code)

  - ### Method Detail

    - #### code

          public GroupsException.Code code()

      Read the error code for this exception
      Returns:
        the error Code for this exception

    - #### getInstanceId

          public String getInstanceId()

      Read the instance id for this exception
      Returns:
        the instance id associated with this error, null if none

    - #### getGroupName

          public String getGroupName()

      Read the group name for this exception
      Returns:
        group name name associated with this error, null if none

    - #### getMessage

          public String getMessage()

      Get Error string for the exception
      Overrides:
        `getMessage` in class `Throwable`

    - #### create

          public static GroupsException create(GroupsException.Code code,
                               String group,
                               String instance)

      All Groups services exceptions should be constructed via this factory method.
      Parameters:
        `code` - The error code.
        `group` - group name
        `instance` - instance id
      Returns:
        The specialized exception, presumably to be thrown by the caller.

    - #### create

          public static GroupsException create(GroupsException.Code code)

      All Groups services exceptions should be constructed via this factory method.
      Parameters:
        `code` - The error code of your new exception.
      Returns:
        The specialized exception, presumably to be thrown by the caller.

Copyright © 2014. All Rights Reserved.